Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/src/Execute_loop_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/src/Execute_loop_allocation.cpp	(revision 88)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/src/Execute_loop_allocation.cpp	(revision 97)
@@ -96,5 +96,5 @@
        ALLOC1_SIGNAL_OUT(out_EXECUTE_LOOP_OUT_EXCEPTION    ,"exception"    ,Texception_t   ,_param->_size_exception);
        ALLOC1_SIGNAL_OUT(out_EXECUTE_LOOP_OUT_NO_SEQUENCE  ,"no_sequence"  ,Tcontrol_t     ,1);
-       ALLOC1_SIGNAL_OUT(out_EXECUTE_LOOP_OUT_ADDRESS      ,"address"      ,Tgeneral_data_t,_param->_size_general_data);
+       ALLOC1_SIGNAL_OUT(out_EXECUTE_LOOP_OUT_ADDRESS      ,"address"      ,Taddress_t     ,_param->_size_instruction_address);
        ALLOC1_SIGNAL_OUT(out_EXECUTE_LOOP_OUT_DATA         ,"data"         ,Tgeneral_data_t,_param->_size_general_data);
      }
@@ -850,6 +850,6 @@
 //	       COMPONENT_MAP(_component ,src ,"out_EXECUTE_OUT_OPERATION"    ,
 // 				         dest, "in_EXECUTE_UNIT_OUT_"+toString(i)+"_0_OPERATION"    );
-	       COMPONENT_MAP(_component ,src ,"out_EXECUTE_OUT_TYPE"         ,
-				         dest, "in_EXECUTE_UNIT_OUT_"+toString(i)+"_0_TYPE"         );
+// 	       COMPONENT_MAP(_component ,src ,"out_EXECUTE_OUT_TYPE"         ,
+// 				         dest, "in_EXECUTE_UNIT_OUT_"+toString(i)+"_0_TYPE"         );
   	       COMPONENT_MAP(_component ,src ,"out_EXECUTE_OUT_WRITE_RD"     ,
 				         dest, "in_EXECUTE_UNIT_OUT_"+toString(i)+"_0_WRITE_RD"     );
@@ -975,6 +975,6 @@
 //	       COMPONENT_MAP(_component ,src ,"out_MEMORY_OUT_"+toString(j)+"_OPERATION"    ,
 // 				         dest, "in_EXECUTE_UNIT_OUT_"+toString(i)+"_"+toString(j)+"_OPERATION"    );
-	       COMPONENT_MAP(_component ,src ,"out_MEMORY_OUT_"+toString(j)+"_TYPE"         ,
-				         dest, "in_EXECUTE_UNIT_OUT_"+toString(i)+"_"+toString(j)+"_TYPE"         );
+// 	       COMPONENT_MAP(_component ,src ,"out_MEMORY_OUT_"+toString(j)+"_TYPE"         ,
+// 				         dest, "in_EXECUTE_UNIT_OUT_"+toString(i)+"_"+toString(j)+"_TYPE"         );
   	       COMPONENT_MAP(_component ,src ,"out_MEMORY_OUT_"+toString(j)+"_WRITE_RD"     ,
 				         dest, "in_EXECUTE_UNIT_OUT_"+toString(i)+"_"+toString(j)+"_WRITE_RD"     );
@@ -1085,6 +1085,6 @@
 // 	   COMPONENT_MAP(_component ,src , "in_WRITE_UNIT_IN_OPERATION"    ,
 // 				     dest,"out_WRITE_UNIT_IN_"+toString(i)+"_OPERATION"    );
-	   COMPONENT_MAP(_component ,src , "in_WRITE_UNIT_IN_TYPE"         ,
-				     dest,"out_WRITE_UNIT_IN_"+toString(i)+"_TYPE"         );
+// 	   COMPONENT_MAP(_component ,src , "in_WRITE_UNIT_IN_TYPE"         ,
+// 				     dest,"out_WRITE_UNIT_IN_"+toString(i)+"_TYPE"         );
 	   COMPONENT_MAP(_component ,src , "in_WRITE_UNIT_IN_WRITE_RD"     ,
 				     dest,"out_WRITE_UNIT_IN_"+toString(i)+"_WRITE_RD"     );
@@ -1597,6 +1597,6 @@
 // // 	       PORT_MAP(_component ,src , "in_EXECUTE_UNIT_OUT_"+toString(i)+"_OPERATION"    ,
 // // 				    dest,"out_EXECUTE_OUT_OPERATION"    );
-// 	       PORT_MAP(_component ,src , "in_EXECUTE_UNIT_OUT_"+toString(i)+"_TYPE"         ,
-// 				    dest,"out_EXECUTE_OUT_TYPE"         );
+// //	       PORT_MAP(_component ,src , "in_EXECUTE_UNIT_OUT_"+toString(i)+"_TYPE"         ,
+// //				    dest,"out_EXECUTE_OUT_TYPE"         );
 // 	       PORT_MAP(_component ,src , "in_EXECUTE_UNIT_OUT_"+toString(i)+"_WRITE_RD"     ,
 // 				    dest,"out_EXECUTE_OUT_WRITE_RD"     );
@@ -1644,6 +1644,6 @@
 // // 	       PORT_MAP(_component ,src , "in_EXECUTE_UNIT_OUT_"+toString(i)+"_OPERATION"    ,
 // // 				    dest,"out_MEMORY_OUT_OPERATION"    );
-// 	       PORT_MAP(_component ,src , "in_EXECUTE_UNIT_OUT_"+toString(i)+"_TYPE"         ,
-// 				    dest,"out_MEMORY_OUT_TYPE"         );
+// //	       PORT_MAP(_component ,src , "in_EXECUTE_UNIT_OUT_"+toString(i)+"_TYPE"         ,
+// //				    dest,"out_MEMORY_OUT_TYPE"         );
 // 	       PORT_MAP(_component ,src , "in_EXECUTE_UNIT_OUT_"+toString(i)+"_WRITE_RD"     ,
 // 				    dest,"out_MEMORY_OUT_WRITE_RD"     );
@@ -1695,6 +1695,6 @@
 // // 	   PORT_MAP(_component ,src ,"out_WRITE_UNIT_IN_"+toString(i)+"_OPERATION"    ,
 // // 				dest, "in_WRITE_UNIT_IN_OPERATION"    );
-// 	   PORT_MAP(_component ,src ,"out_WRITE_UNIT_IN_"+toString(i)+"_TYPE"         ,
-// 				dest, "in_WRITE_UNIT_IN_TYPE"         );
+// //	   PORT_MAP(_component ,src ,"out_WRITE_UNIT_IN_"+toString(i)+"_TYPE"         ,
+// //				dest, "in_WRITE_UNIT_IN_TYPE"         );
 // 	   PORT_MAP(_component ,src ,"out_WRITE_UNIT_IN_"+toString(i)+"_WRITE_RD"     ,
 // 				dest, "in_WRITE_UNIT_IN_WRITE_RD"     );
